
CoCoALib - Bug #1426

Main Makefile: does not rebuild dependencies

26 Feb 2020 22:46 - John Abbott

Status: Closed Start date: 26 Feb 2020

Priority: High Due date:  

Assignee: John Abbott % Done: 100%

Category: Makefile Estimated time: 0.95 hour

Target version: CoCoALib-0.99700 Spent time: 0.80 hour

Description

It seemsthat the main Makefile does not rebuild dependencies after a make veryclean.

Investigate & fix.

History

#1 - 26 Feb 2020 22:47 - John Abbott

It seems to rebuild dependencies only in src/tests/.

Too tired to investigate now :-(

#2 - 03 Mar 2020 21:26 - John Abbott

- Status changed from New to Feedback

- Assignee set to John Abbott

- % Done changed from 0 to 90

- Estimated time set to 0.75 h

Found it, and fixed it.

I had accidentally introduced a race condition.  Now it should be fine.

I'll do a little more testing, but checking in anyway (as I'm pretty sure it's OK now).

#3 - 04 Mar 2020 14:20 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time changed from 0.75 h to 0.95 h
